﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product Home Page: http://www.devart.com/dbforge/mysql/studio
-- Script date 22/07/2019 17:17:22
-- Target server version: 5.5.5-10.1.40-MariaDB
-- Target connection string: User Id=root;Host=127.0.0.1;Character Set=utf8
--



SET NAMES 'utf8';
USE practica3;
--
-- -- Disable foreign keys
--
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

--
-- Dropping constraints from trabajadores
--
ALTER TABLE practica3.trabajadores 
   DROP FOREIGN KEY FK_trabajadores_delegacion_id_delegacion;
--
-- Delete data from the table 'trabajadores'
--
TRUNCATE TABLE trabajadores;
--
-- Delete data from the table 'delegacion'
--
TRUNCATE TABLE delegacion;

--
-- Inserting data into table delegacion
--
INSERT INTO delegacion(id_delegacion, poblacion, direccion, nombre) VALUES
(1, 'New Hampshire', '6 A-E Abbey Road', 'Smart H-Mobile Co.'),
(2, 'South Dakota', '4-7 Elmbourne Road', 'Federal Space Research Group'),
(3, 'Missouri', '55-57 Anerley Road', 'WorldWide Partners Corporation'),
(4, 'Kentucky', '4-7 Battersea Square', 'Special Engineering Group'),
(5, 'Massachusetts', '9 Blackhorse Road', 'General B-Mobile Corp.'),
(6, 'New York', '11 Leyburn Close', 'Professional Wind Energy Inc.'),
(7, 'New Jersey', '7 Lollard Street', 'Home Protection Corporation'),
(8, 'Illinois', '11-49 Exhibition Road', 'Home High-Technologies Group'),
(9, 'Minnesota', '5-6 Spratt Hall Road', 'Pacific O-Mobile Group'),
(10, 'Texas', '45-58 Hutchins Close', 'North Space Research Inc.'),
(11, 'Florida', '5 Gibbins Road', 'Union High-Technologies Corp.'),
(12, 'Oregon', '1-9 Hoe Lane', 'Union Trust Inc.'),
(13, 'Maine', '1-8 Acklam Road', 'Professional Business Co.'),
(14, 'Missouri', '2-9 Coleherne Road', 'East Space Explore Corp.'),
(15, 'Maryland', '42-36 Adelaide Street', 'First High-Technologies Inc.'),
(16, 'South Dakota', '51-29 Beechcroft Road', 'North Telecom Corp.'),
(17, 'Wisconsin', '5-7 Streatham Hill', 'South Travel Inc.'),
(18, 'Minnesota', '8 A-B Delancey Street', 'Pacific High-Technologies Group'),
(19, 'Nevada', '2D Crucifix Lane', 'Canadian High-Technologies Inc.'),
(20, 'Nebraska', '11-48 Clifton Road', 'WorldWide M-Mobile Co.'),
(21, 'North Carolina', '2-7 Langley Street', 'Special High-Technologies Corpo'),
(22, 'Indiana', '45-57 Bloomsbury Street', 'Federal Oil Inc.'),
(23, 'New Mexico', '42-37 Marlowe Road', 'National Petroleum Corp.'),
(24, 'Alabama', '5 Amwell  Street', 'East Renewable Power Inc.'),
(25, 'Connecticut', '80 Camberwell New Road', 'North Consulting Corporation'),
(26, 'Massachusetts', '4-8 Alexandra Avenue', 'North Optics Inc.'),
(27, 'Arizona', '15-27 Hamilton Court', 'Creative Space Research Group'),
(28, 'Texas', '3-9 Jasmine Square', 'Smart Space Research Corporatio'),
(29, 'Alaska', '11-18 Honour Lea Avenue', 'Smart Space Research Corporatio'),
(30, 'Pennsylvania', '35-26 Northumberland Avenue', 'Special High-Technologies Group'),
(31, 'California', '52-48 Jobcentre Plus Harrow', 'Domestic Oil Co.'),
(32, 'Pennsylvania', '2 Malden Road', 'Flexible Renewable Power Corp.'),
(33, 'Wisconsin', '1-6 Grays Inn Road', 'Home Development Inc.'),
(34, 'Washington', '5-8 Panton Street', 'Domestic High-Technologies Inc.'),
(35, 'Iowa', '15-39 Abbotsbury Road', 'International Space Explore Cor'),
(36, 'Ohio', '5-9 Anerley Road', 'Federal Industry Group'),
(37, 'Ohio', '43-26 South Wharf Road', 'American 4G Wireless Group'),
(38, 'Colorado', '24-38 Ariel Way', 'WorldWide Renewable Power Co.'),
(39, 'Kansas', '68 Abercairn Road', 'Special Space Research Corporat'),
(40, 'Alaska', '13-29 Goodmayes Road', 'South 3G Wireless Corporation'),
(41, 'Washington', '3 Crampton Street', 'City Business Co.'),
(42, 'Vermont', '8 A-B Stanmore Hill', 'Global Entertainment Inc.'),
(43, 'Colorado', '3-9 Moreton Street', 'Domestic Logistic Corporation'),
(44, 'Alabama', '7E Gt Cambridge Road', 'West Materials Co.'),
(45, 'Delaware', '25-26 Abbotsbury Road', 'Union Data Corp.'),
(46, 'Pennsylvania', '11-19 Burford Road', 'WorldWide High-Technologies Gro'),
(47, 'Maine', '5-9 John Prince''s Street', 'Global Space Explore Inc.'),
(48, 'Delaware', '3 Old Brompton Road', 'North 4G Wireless Co.'),
(49, 'Ohio', '55 East Road', 'Federal R-Mobile Group'),
(50, 'Vermont', '8 Stonhouse Street', 'National Nuclear Power Inc.'),
(51, 'Tennessee', '42 A-C Windham Road', 'East Wind Resources Group'),
(52, 'Maine', '3-6 Agate Close', 'East Broadcasting Group'),
(53, 'South Dakota', '411 Lower Clapton Road', 'American Wind Energy Corporatio'),
(54, 'Connecticut', '2-9 Calley Down Crescent', 'East 2G Wireless Corp.'),
(55, 'New York', '35-19 Bulwer Court Road', 'United O-Mobile Inc.'),
(56, 'West Virginia', '45-49 Elmsdale Road', 'South Research Group'),
(57, 'Connecticut', '183 Durham Street', 'South Explore Corporation'),
(58, 'Utah', '5-7 Berwick Street', 'East Protection Inc.'),
(59, 'Arizona', '7A Stoke Newington High Street', 'City Delivery Inc.'),
(60, 'New Mexico', '172E Daventry Avenue', 'City Transportation Inc.'),
(61, 'Nevada', '2-9 Abercairn Road', 'General Travel Group'),
(62, 'New Jersey', '13 Parkhurst Road', 'Special Technologies Corporatio'),
(63, 'Minnesota', '12-46 Raydean Road', 'Global High-Technologies Group'),
(64, 'Iowa', '9 A-B Amwell  Street', 'Creative Petroleum Inc.'),
(65, 'North Dakota', '54-49 Plough Lane', 'Canadian Instruments Group'),
(66, 'Colorado', '32-46 Shaftsbury Avenue', 'Special Health Inc.'),
(67, 'Arkansas', '9 Romford Road', 'Australian Engineering Inc.'),
(68, 'Florida', '29E Chilworth Street', 'Domestic 2G Wireless Group'),
(69, 'Delaware', '3-8 Cork Street', 'West Coast High-Technologies Co'),
(70, 'South Carolina', '32-28 Cheam Road', 'City 5G Wireless Co.'),
(71, 'Virginia', '51-26 Devereux Court', 'Creative High-Technologies Grou'),
(72, 'Florida', '4 A-C Broadwalk', 'Union Engineering Co.'),
(73, 'North Carolina', '5-8 Charing Cross Road', 'Future Space Explore Inc.'),
(74, 'New York', '8 Keeley Road', 'Advanced High-Technologies Inc.'),
(75, 'Florida', '11-37 Bridgeman Street', 'Home W-Mobile Inc.'),
(76, 'Louisiana', '4 Abercorn Crescent', 'Western High-Technologies Group'),
(77, 'Rhode Island', '7 Digby Street', 'Advanced Logistic Inc.'),
(78, 'Texas', '34-29 Abbey Lane', 'General Z-Mobile Corporation'),
(79, 'Illinois', '1-7 Honour Lea Avenue', 'Advanced High-Technologies Corp'),
(80, 'Oklahoma', '25-56 Chalton Street', 'Home Research Inc.'),
(81, 'Alaska', '95B Dudley Road', 'West High-Technologies Inc.'),
(82, 'New Mexico', '6 Blackhorse Road', 'Special High-Technologies Corp.'),
(83, 'South Carolina', '5-9 Paradise Row', 'Flexible High-Technologies Grou'),
(84, 'Illinois', '1-8 Park Grove Road', 'Domestic Wind Power Inc.'),
(85, 'Maine', '11-57 Gladstone Road', 'Pacific High-Technologies Corpo'),
(86, 'Colorado', '13-39 Brewer Street', 'Beyond Space Explore Inc.'),
(87, 'North Carolina', '6 Maltby Street', 'National High-Technologies Inc.'),
(88, 'Mississippi', '9 Tower Bridge Road', 'Canadian Space Explore Group'),
(89, 'Pennsylvania', '8E Mandeville Road', 'General M-Mobile Co.'),
(90, 'Colorado', '55-19 Berners Street', 'Flexible Z-Mobile Inc.'),
(91, 'Louisiana', '6 Argyll Street', 'Western Space Explore Group'),
(92, 'Wyoming', '11-56 Windmill Road', 'WorldWide Space Research Group'),
(93, 'Arkansas', '74E Sedlescombe Road', 'Smart High-Technologies Corp.'),
(94, 'Missouri', '3 A-B Littleton Crescent', 'Creative Space Research Inc.'),
(95, 'New Hampshire', '76 Barley Court', 'General W-Mobile Inc.'),
(96, 'Utah', '33-59 Shelton Street', 'Union F-Mobile Inc.'),
(97, 'New Mexico', '4-8 Elmfield Way', 'Professional Instruments Corp.'),
(98, 'Alabama', '16 Fife Road', 'United Space Research Corporati'),
(99, 'South Carolina', '33-59 Abbotsbury Road', 'East Wave Energy Group'),
(100, 'Colorado', '22-29 Cecil Road', 'Australian Logistic Corp.');

--
-- Inserting data into table trabajadores
--
INSERT INTO trabajadores(id_trabajadores, nombre, apellidos, fechaNacimiento, foto, delegacion) VALUES
(1, 'Edmonds2029', 'Holt', '1979-04-16', '1.jpg', 53),
(2, 'Kruger3', 'Pointer', '1981-12-01', '1.jpg', 23),
(3, 'Tanja943', 'Leyva', '1984-07-21', '1.jpg', 18),
(4, 'Luisa1960', 'Esquivel', '1979-11-10', '1.jpg', 42),
(5, 'Hank939', 'Holton', '1985-12-11', '1.jpg', 20),
(6, 'Scarlet484', 'Hammond', '1983-07-31', '1.jpg', 96),
(7, 'Marya1956', 'Wasson', '1981-01-29', '1.jpg', 30),
(8, 'Arminda2013', 'Carl', '1985-12-07', '1.jpg', 68),
(9, 'Maxwell1966', 'Estep', '1980-06-16', '1.jpg', 69),
(10, 'Lonna2001', 'Hammonds', '1979-10-21', '1.jpg', 47),
(11, 'Claude654', 'Smyth', '1989-11-27', '1.jpg', 89),
(12, 'Ariane2008', 'Waterman', '1989-11-14', '1.jpg', 3),
(13, 'Chau1982', 'Libby', '1981-04-25', '1.jpg', 27),
(14, 'Sidney1970', 'Meredith', '1979-01-06', '1.jpg', 61),
(15, 'Lyndon763', 'Poirier', '1982-09-23', '1.jpg', 60),
(16, 'Grimm2024', 'Homan', '1987-03-28', '1.jpg', 69),
(17, 'Riley4', 'Barrow', '1980-05-26', '1.jpg', 2),
(18, 'Curtis2009', 'Snead', '1983-12-26', '1.jpg', 34),
(19, 'Kyle972', 'Carlin', '1980-06-27', '1.jpg', 79),
(20, 'Abigail891', 'Merrick', '1985-04-18', '1.jpg', 24),
(21, 'Abraham469', 'Barrows', '1979-08-27', '1.jpg', 14),
(22, 'Rafael2005', 'Waters', '1988-05-11', '1.jpg', 10),
(23, 'Laurence5', 'Estes', '1982-04-23', '1.jpg', 83),
(24, 'Barton1965', 'Polanco', '1981-05-17', '1.jpg', 12),
(25, 'Shelia2006', 'Carlisle', '1981-01-22', '1.jpg', 15),
(26, 'Camilla2000', 'Hammons', '1982-05-15', '1.jpg', 34),
(27, 'Tobias2016', 'Barry', '1983-06-11', '1.jpg', 32),
(28, 'Kimberly516', 'Merrill', '1984-12-28', '1.jpg', 20),
(29, 'Emmanuel1977', 'Estrada', '1981-03-08', '1.jpg', 84),
(30, 'Randell2014', 'Light', '1983-12-30', '1.jpg', 86),
(31, 'Mcinnis665', 'Sneed', '1983-12-22', '1.jpg', 5),
(32, 'Bernard1951', 'Carlos', '1986-05-11', '1.jpg', 66),
(33, 'Herb9', 'Polk', '1983-03-31', '1.jpg', 8),
(34, 'Adam941', 'Merriman', '1979-07-07', '1.jpg', 94),
(35, 'Katheleen188', 'Homer', '1988-12-03', '1.jpg', 60),
(36, 'Southern2017', 'Lightfoot', '1981-10-21', '1.jpg', 72),
(37, 'Vannesa637', 'Pollack', '1980-06-09', '1.jpg', 1),
(38, 'Hermelinda13', 'Watkins', '1986-05-23', '1.jpg', 91),
(39, 'Beaulieu6', 'Honeycutt', '1984-08-23', '1.jpg', 63),
(40, 'Abbott719', 'Ligon', '1989-02-10', '1.jpg', 41),
(41, 'Allman638', 'Hampton', '1981-06-07', '1.jpg', 55),
(42, 'Malley2000', 'Hong', '1980-05-20', '1.jpg', 80),
(43, 'Shanon12', 'Snell', '1980-02-05', '1.jpg', 3),
(44, 'Rufus2005', 'Watson', '1983-09-23', '1.jpg', 94),
(45, 'Ackerman183', 'Estrella', '1986-05-24', '1.jpg', 54),
(46, 'Jeffrey2020', 'Snider', '1979-02-13', '1.jpg', 25),
(47, 'Tandra2002', 'Bartels', '1985-12-05', '1.jpg', 84),
(48, 'Blalock2009', 'Carlson', '1986-02-26', '1.jpg', 86),
(49, 'Whitten656', 'Barth', '1987-10-31', '1.jpg', 43),
(50, 'Bernie2013', 'Carlton', '1981-06-13', '1.jpg', 24),
(51, 'Acker69', 'Liles', '1981-09-02', '1.jpg', 46),
(52, 'Gibbs39', 'Merritt', '1987-10-05', '1.jpg', 78),
(53, 'Floretta2021', 'Watt', '1979-01-02', '1.jpg', 11),
(54, 'Burch211', 'Snipes', '1981-08-14', '1.jpg', 23),
(55, 'Danika2017', 'Hamrick', '1987-10-26', '1.jpg', 98),
(56, 'Cerda6', 'Hood', '1980-07-18', '1.jpg', 50),
(57, 'Melva2010', 'Watters', '1979-12-25', '1.jpg', 49),
(58, 'Booth167', 'Etheridge', '1983-06-05', '1.jpg', 18),
(59, 'Cheng876', 'Snodgrass', '1982-10-18', '1.jpg', 57),
(60, 'Mable2024', 'Pollard', '1989-07-28', '1.jpg', 26),
(61, 'Mccallum1966', 'Watts', '1979-03-25', '1.jpg', 71),
(62, 'Baumann945', 'Bartholomew', '1979-09-12', '1.jpg', 60),
(63, 'Taylor441', 'Lilley', '1981-08-26', '1.jpg', 68),
(64, 'Newman5', 'Hook', '1985-03-17', '1.jpg', 21),
(65, 'Cheyenne7', 'Lilly', '1989-09-04', '1.jpg', 4),
(66, 'Nevarez1991', 'Hancock', '1985-11-21', '1.jpg', 95),
(67, 'Dwain7', 'Snow', '1979-01-03', '1.jpg', 77),
(68, 'Sanchez1999', 'Carman', '1979-03-10', '1.jpg', 100),
(69, 'Joel2006', 'Mesa', '1989-03-02', '1.jpg', 11),
(70, 'Rene1950', 'Eubanks', '1982-09-18', '1.jpg', 54),
(71, 'Rolanda7', 'Bartlett', '1984-03-24', '1.jpg', 25),
(72, 'Samuel1963', 'Pollock', '1987-08-19', '1.jpg', 60),
(73, 'Blondell389', 'Hooker', '1984-11-27', '1.jpg', 16),
(74, 'Taylor3', 'Waugh', '1986-09-07', '1.jpg', 37),
(75, 'Erwin663', 'Snowden', '1988-09-09', '1.jpg', 72),
(76, 'Danial2012', 'Carmichael', '1989-05-02', '1.jpg', 12),
(77, 'Camila4', 'Bartley', '1989-09-05', '1.jpg', 93),
(78, 'Abbie3', 'Messenger', '1984-08-07', '1.jpg', 42),
(79, 'Alejandrina485', 'Hand', '1989-04-26', '1.jpg', 77),
(80, 'Samuels1965', 'Carmona', '1981-03-10', '1.jpg', 8),
(81, 'Pennell795', 'Way', '1981-05-04', '1.jpg', 71),
(82, 'Donnell2028', 'Barton', '1979-02-14', '1.jpg', 73),
(83, 'Dianna1959', 'Lim', '1985-10-04', '1.jpg', 39),
(84, 'Abreu1970', 'Snyder', '1979-10-28', '1.jpg', 28),
(85, 'Carver6', 'Hooks', '1987-08-12', '1.jpg', 8),
(86, 'Atherton9', 'Wayne', '1980-02-11', '1.jpg', 36),
(87, 'Christena1955', 'Pomeroy', '1989-12-18', '1.jpg', 20),
(88, 'Maki1953', 'Soares', '1987-08-28', '1.jpg', 4),
(89, 'Catarina1967', 'Lima', '1982-11-05', '1.jpg', 63),
(90, 'Princess1958', 'Carnahan', '1979-04-29', '1.jpg', 12),
(91, 'Schafer29', 'Basham', '1985-03-01', '1.jpg', 30),
(92, 'Richards1988', 'Weatherford', '1983-10-30', '1.jpg', 90),
(93, 'Bernita583', 'Messer', '1985-07-28', '1.jpg', 38),
(94, 'Elliot2008', 'Solano', '1979-02-08', '1.jpg', 100),
(95, 'Quinn2025', 'Weatherly', '1989-10-05', '1.jpg', 35),
(96, 'Duffy2008', 'Ponce', '1979-01-03', '1.jpg', 87),
(97, 'Jamey1989', 'Evans', '1979-02-20', '1.jpg', 97),
(98, 'Errol5', 'Solis', '1987-11-29', '1.jpg', 54),
(99, 'Avery631', 'Carnes', '1980-09-22', '1.jpg', 81),
(100, 'Beatriz9', 'Handley', '1981-01-02', '1.jpg', 24);
--
-- -- Enable foreign keys
--
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;

--
-- Creating constraints for trabajadores
--
ALTER TABLE practica3.trabajadores 
  ADD CONSTRAINT FK_trabajadores_delegacion_id_delegacion FOREIGN KEY (delegacion)
    REFERENCES practica3.delegacion(id_delegacion) ON DELETE CASCADE ON UPDATE CASCADE;